use 5.010000;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

sub configure {
	return {
	    LIBS      => `pkg-config --libs gsl`,
	    CCFLAGS   => `pkg-config --cflags gsl`,
	}
}

WriteMakefile(
    NAME              => 'GSL::CDF',
    VERSION_FROM      => '../../lib/GSL.pm', # finds $VERSION
    PREREQ_PM         => {
	'Test::More'  => 0,
	'Test::Deep'  => 0,
    }, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?     ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM  => 'lib/GSL/CDF.pm', # retrieve abstract from module
       AUTHOR         => 'Vincent Danjean <Vincent.Danjean@ens-lyon.org>') : ()),
    LIBS              => [''], # e.g., '-lm'
    CONFIGURE         => \&configure,
    DEFINE            => '', # e.g., '-DHAVE_SOMETHING'
    INC               => '-I.', # e.g., '-I. -I/usr/include/other'
	# Un-comment this if you add C files to link with later:
    # OBJECT            => '$(O_FILES)', # link all the C files too
    clean               => { FILES => [ 'CDF.c', 'CDF.bs' ] },
);
